Skip to main content
Topic solved
This topic has been marked as solved and requires no further attention.
Topic: Error when updating s6 (Read 129 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Error when updating s6

Just ran
Code: [Select]
sudo pacman -Syu
and saw s6-scripts and s6-rc had updates, but when it tries to update, I get
Code: [Select]
(1/1) Updating s6-rc database...
/usr/share/libalpm/scripts/s6-rc-db-update-hook: 6: /usr/share/libalpm/scripts/s6-rc-db-update-hook: contents[0]=udevd: not found
/usr/share/libalpm/scripts/s6-rc-db-update-hook: 6: /usr/share/libalpm/scripts/s6-rc-db-update-hook: contents[1]=agetty-tty2: not found
/usr/share/libalpm/scripts/s6-rc-db-update-hook: 6: /usr/share/libalpm/scripts/s6-rc-db-update-hook: contents[2]=mount-cgroups: not found
/usr/share/libalpm/scripts/s6-rc-db-update-hook: 6: /usr/share/libalpm/scripts/s6-rc-db-update-hook: contents[3]=hostname: not found
/usr/share/libalpm/scripts/s6-rc-db-update-hook: 6: /usr/share/libalpm/scripts/s6-rc-db-update-hook: contents[4]=: not found
/usr/share/libalpm/scripts/s6-rc-db-update-hook: 6: /usr/share/libalpm/scripts/s6-rc-db-update-hook: contents[5]=agetty-tty2: not found
/usr/share/libalpm/scripts/s6-rc-db-update-hook: 6: /usr/share/libalpm/scripts/s6-rc-db-update-hook: contents[6]=agetty-tty2: not found
/usr/share/libalpm/scripts/s6-rc-db-update-hook: 6: /usr/share/libalpm/scripts/s6-rc-db-update-hook: contents[7]=NetworkManager: not found
/usr/share/libalpm/scripts/s6-rc-db-update-hook: 27: [: udev: unexpected operator
/usr/share/libalpm/scripts/s6-rc-db-update-hook: 27: [: setup: unexpected operator
/usr/share/libalpm/scripts/s6-rc-db-update-hook: 27: [: mount: unexpected operator
/usr/share/libalpm/scripts/s6-rc-db-update-hook: 27: [: misc: unexpected operator
/usr/share/libalpm/scripts/s6-rc-db-update-hook: 27: [: log: unexpected operator
/usr/share/libalpm/scripts/s6-rc-db-update-hook: 27: [: getty: unexpected operator
/usr/share/libalpm/scripts/s6-rc-db-update-hook: 27: [: boot: unexpected operator
/usr/share/libalpm/scripts/s6-rc-db-update-hook: 49: /usr/share/libalpm/scripts/s6-rc-db-u

When I try to update again, it says there is nothing to do. Should I be worried and not restart my machine?

Re: Error when updating s6

Reply #1
It looks like something went wrong with the update hook script. What happens if you run the script manually (sh /usr/share/libalpm/scripts/s6-rc-db-update-hook)? It doesn't look like any actual s6/s6-rc commands failed so you probably only lost your custom-made bundles.

Edit: It is worth noting that arrays aren't POSIX, but arch/artix links /usr/bin/sh to bash so I don't think it should matter (if it did you would have gotten errors before this anyway).

Re: Error when updating s6

Reply #2
alright, so yes the problem was bash vs sh. I link sh to dash for faster scripts. (every millisecond counts) which doesn't have bashisms, so I just ran the script manually through bash and it worked as expected. perhaps something to add the wiki for s6 as a warning or maybe find a way to run the script on update through bash instead of sh? Not sure how things like that work, so just an idea.

Re: Error when updating s6

Reply #3
I could just do the right thing and make it #!/bin/bash. s6-rc-0.5.1.1-10 here we come.

Re: Error when updating s6

Reply #4
Hey that works too :)

Re: Error when updating s6

Reply #5
It ended up being *-11 because of build screw ups on my part.  :P  It's in the system repo now.